data:extend(
{
  {
    type = "item",
    name = "private-chest-requester",
    icons = {
      {icon = "__base__/graphics/icons/logistic-chest-requester.png"},
      {icon = "__PrivateBufferChest__/PBC.png"}
      },
    icon_size = 32,
    flags = {"goes-to-quickbar"},
    subgroup = "logistic-network",
    order = "b[storage]-e[logistic-chest-requester]-z",
    place_result = "logistic-chest-requester",
    stack_size = 50
  },
  
  {
    type = "recipe",
    name = "private-chest-requester",
    enabled = false,
    ingredients =
    {
      {"logistic-chest-requester", 1}
    },
    result = "private-chest-requester",
  }  

}
)

-- data.raw.technology["logistic-system"].effects[2].type = "unlock-recipe"
-- data.raw.technology["logistic-system"].effects[2].recipe = "logistic-chest-requester"

if data.raw.technology["logistic-system"] and
  data.raw.technology["logistic-system"].effects then
  local effects = data.raw.technology["logistic-system"].effects
  table.insert(effects, {type = "unlock-recipe", recipe = "logistic-chest-requester"})
end  

